import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const slaughterDeleteAllocatedBackRequestService = createAsyncThunk(
  "SLAUGHTER_DELETE_ALLOCATED_BACK_KILL_REQUEST_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    try {
      const { data, status } = await axios.delete(
        `province_kill_request/0/?return_allocation_quantity=${true}&province_kill_request_key=${
          d.provinceKillRequestKey
        }`,
        d
      );
      dispatch(LOADING_END());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return { error: e.response.data.result };
    }
  }
);
